#!/usr/bin/perl

$config_file = "/etc/X11/gdm/gdm.conf";
$bkup_file = $config_file . ".k12ltsp.rpmsave";
$tmp_file = $config_file . ".k12ltsp.tmp";

# don't bother to continue unless the target file exists
$exists = stat ($config_file);
if (! $exists) {
	print "\n". $config_file ." not found\n\n";
	exit;
}

# open target file
open (IN, "< $config_file");
open (OUT, "> $tmp_file");

$xdmcp_section = 0;
while (<IN>) {
	if ($_ =~ /^\[xdmcp\]/i) {
		$xdmcp_section = 1;
	} elsif ($_ =~ /^\[/) {
		$xdmcp_section = 0;
	}
	if ($xdmcp_section) {
		if ($_ =~ "Enable=false") {
			$_ = "Enable=true\n";
		}
		if ($_ =~ /MaxSessions=16/) {
			$_ = "MaxSessions=250\n";
		}
	}

        if ($_ =~ /^HaltCommand=/i) {
                $_ = "#" . $_ ;
        }
        if ($_ =~ /^RebootCommand=/i) {
                $_ = "#" . $_ ;
        }
        if ($_ =~ /^Logo=$/i) {
                $_ = "Logo=/opt/ltsp/templates/k12linux/k12ltsp.jpg\n";
	}
	print OUT $_;
}

# close up the files
close (IN);
close (OUT);

# out with the old, in with the new
`mv $config_file $bkup_file`;
`mv $tmp_file $config_file`;

exit;
